db.tables(1)

NAME
db.tables - List all tables for a given database.

SYNOPSIS
db.tables
db.tables help
db.tables [-ps] [driver=string] [database=string]

  Flags:

-p  print tables and exit

-s  system tables instead of user tables

  Parameters:

driver=string
    driver name Options: dbf,pg,ogr

database=string
    database name

DESCRIPTION
db.tables lists all tables for a given database.

NOTE
If parameters for database connection are already set with db.connect, they are taken as default values and do not need to be spcified each time.

EXAMPLES
List all tables if database connection is already set
db.tables -p

List all tables of existing dbf database
db.tables driver=dbf database=/home/user/grassdata/fire/PERMANENT/dbf

SEE ALSO
db.columns, db.droptable, db.login, db.execute, GRASS SQL interface

AUTHOR
?

Last changed: $Date: 2004/12/08 13:45:39 $

Help Index